% Generated by roxygen2 (4.0.2): do not edit by hand
\name{print.gg_minimal_depth}
\alias{print.gg_minimal_depth}
\title{Print a \code{\link{gg_minimal_depth}} object.}
\usage{
\method{print}{gg_minimal_depth}(x, ...)
}
\arguments{
\item{x}{a \code{\link{gg_minimal_depth}} object.}

\item{...}{optional arguments}
}
\description{
Print a \code{\link{gg_minimal_depth}} object.
}
\examples{
## ------------------------------------------------------------
## classification example
## ------------------------------------------------------------
## You can build a randomForest
# iris_rf <- rfsrc(Species ~ ., data = iris)
# iris_vs <- var.select(iris_rf)
# ... or load a cached randomForestSRC object
data(iris_vs, package="ggRandomForests")

# Get a data.frame containing minimaldepth measures
gg_dta<- gg_minimal_depth(iris_vs)
print(gg_dta)

## ------------------------------------------------------------
## regression example
## ------------------------------------------------------------
# ... or load a cached randomForestSRC object
data(airq_vs, package="ggRandomForests")

# Get a data.frame containing minimaldepth measures
gg_dta<- gg_minimal_depth(airq_vs)
print(gg_dta)

# To nicely print a rfsrc::var.select output...
print.gg_minimal_depth(airq_vs)
}

